Gadget usage statistics
Closed, ResolvedPublic

Tokens
"Doubloon" token, awarded by Nemo_bis."Like" token, awarded by Ltrlg."Like" token, awarded by He7d3r."Like" token, awarded by Qgil."Like" token, awarded by Kozuch."Like" token, awarded by Steinsplitter.
Assigned To
Authored By
Cacycle, Jun 19 2009

Description

It would help immensely if there was a gadget usage statistic implemented in MediaWiki.

Knowing the usage patterns of gadgets would allow to identify rarely used and too exotic gadgets that would be better used as a traditional user script. This would help in maintaining the gadget selection list at a user friendly size and would also help to prioritize gadget development.

In addition to the absolute numbers, the most meaningful information would be about "active users", with single-use testing-only accounts and dormant accounts excluded. A simple definition of "active user" could be someone who has registered more than two months ago and was active during the last month.


Version: unspecified
Severity: enhancement
See Also:
T27302: Enable UserOptionStats extension on Hungarian Wikipedia
T60196: Tool Labs: Provide anonymized view of the user_properties table
T61480: Gadget usage statistics for Portuguese Wikipedia

Details

Reference
bz19288
bzimport set Reference to bz19288.
bzimport added a subscriber: Unknown Object (MLST).
Cacycle created this task.Jun 19 2009, 1:40 AM

Oh on yet another definition of an "active user". But seriously, it should be very easy to query how many have enabled some gadget in the new preferences system. It can be done with the old preferences system too, or both [1], but that has some performance concerns.

[1] http://translatewiki.net/wiki/Special:UserOptionStats

This exists!

(Use this date format: 2014-05-01)

Old version (works intermittently; can take up to 1 minute when it does work)
https://toolserver.org/~liangent/gadget_usage/

New version (broken, waiting for bug 58196 to be resolved)
http://tools.wmflabs.org/liangent-django/gadget_usage/

@liangent: I'd suggest adding the "total number of accounts" to the output. Currently it takes 2 queries to do that, and it's nearly always a useful comparison number.
I.e. The top item at Enwiki, has 9002 total users, and 1724 users active since 2014-05-01.

See also bug 25302 (as Helder linked), which aims to give stats for all user-preferences, but also seeks to add a "limit to active users" option.

(In reply to Quiddity from comment #2)

@liangent: I'd suggest adding the "total number of accounts" to the output.
Currently it takes 2 queries to do that, and it's nearly always a useful
comparison number.
I.e. The top item at Enwiki, has 9002 total users, and 1724 users active
since 2014-05-01.

Hmm it does have to take 2 (SQL) queries, and as it's already running very slowly with one query I'm afraid it'll be slower or eventually timeout (not sure about configurations on the webserver) if I add more.

(In reply to Liangent from comment #3)

Hmm it does have to take 2 (SQL) queries, and as it's already running very
slowly with one query I'm afraid it'll be slower or eventually timeout (not
sure about configurations on the webserver) if I add more.

Would it be possible to save [cache?] that "total accounts" number for [1 month]?
Maybe even in a log file, so that we can track the overall growth over time?
There's a lot of interesting stats, just waiting to be graphed. :D

Since Toollabs doesn't have gadget usage info, I guess we could instead generate this as a report on stat1003 and make it available on an ongoing basis as a CSV from there. I could work on it if there's still interest.

(In reply to Yuvi Panda from comment #6)

Since Toollabs doesn't have gadget usage info, I guess we could instead
generate this as a report on stat1003 and make it available on an ongoing
basis as a CSV from there. I could work on it if there's still interest.

Uptodate stats on gadgets (and all preferences), would be very appreciated.

Ideally, it would save monthly totals, so that we could compare changes over time.

Ideally, it would be filterable by (wiki / user activity / user right / account age / etc )

See also:
https://meta.wikimedia.org/wiki/Gadgets (last updated in April)
https://en.wikipedia.org/wiki/Wikipedia:Database_reports/User_preferences#Gadgets (last updated in June)
http://tools.wmflabs.org/liangent-django/gadget_usage/ (broken, waiting for bug 58196 )

Re: All Preferences, see (2012) https://trello.com/c/o2sdB6BI/15-user-preferences-stats and (ongoing) https://trello.com/c/HxlbhRzm/88-analysis-of-preference-logged-data

(Tangentially, see my ramble about what we should also do with gadget-usage numbers, at https://www.mediawiki.org/wiki/Talk:Requests_for_comment/Redesign_user_preferences#Gadgets

(In reply to Quiddity from comment #7)

Ideally, it would be filterable by (wiki / user activity / user right /
account age / etc )

...and also by default status: enabled / disabled for all users.

Qgil added a comment.Aug 15 2014, 11:22 AM

(In reply to Yuvi Panda from comment #6)

if there's still interest.

There is! I believe we need to know more about the most used gadgets and templates -- for many reasons. This, in turn, will allow us to know more about who develops those gadgets and templates, a type of work that is essential to Wikimedia.

(In reply to Yuvi Panda from comment #6)

if there's still interest.

YES PLEASE! In agreement with comment #7 here too.

My spare time has currently been taken up by providing public 'edits per country' data (see the analytics mailing list), so will try to get to this in the next few weeks.

He7d3r edited the task description. (Show Details)Feb 22 2015, 8:40 PM
He7d3r added a project: Analytics.
He7d3r set Security to None.
Qgil awarded a token.Feb 22 2015, 8:46 PM

Could this be a #Possible-Tech-Project for GSoC / Outreachy?

Rits added a subscriber: Rits.Mar 3 2015, 10:32 PM

@yuvipanda, willing to mentor this for the upcoming GSoC/Outreachy round? Is this big enough for a 3-month project?

@NiharikaKohli sadly even starting on this requires a signed NDA with the WMF and access to the stat* boxes, so I'd say this is out of reach for GSoC...

@yuvipanda, right. Thanks for clarifying.

Se4598 added a comment.Mar 4 2015, 5:22 PM

@yuvipanda: I don't know which infos are all on stat*, but relative easy queries can already be made together with Extension:AccountAudit like

SELECT up_property, up_value, COUNT(*) AS count FROM user_properties INNER JOIN accountaudit_login ON aa_user = up_user WHERE up_property LIKE "%gadget%" AND aa_lastlogin > '201404' GROUP BY up_property, up_value ORDER BY count;

(the query run in August 2014 and needed 1 min 32 sec for dewiki)

Therefore I wonder which special infos are there (stat*) you expect to be needed, which can't be provided via the extension on a local (vagrant) mw-setup?

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 12 2015, 6:16 PM
Ltrlg awarded a token.Aug 15 2015, 9:18 PM
Qgil added a comment.Sep 23 2015, 9:10 AM

This is a message posted to all tasks under "Re-check in September 2015" at Possible-Tech-Projects. Outreachy-Round-11 is around the corner. If you want to propose this task as a featured project idea, we need a clear plan with community support, and two mentors willing to support it.

Qgil added a comment.Sep 23 2015, 9:36 AM

This is a message sent to all Possible-Tech-Projects. The new round of Wikimedia Individual Engagement Grants is open until 29 Sep. For the first time, technical projects are within scope, thanks to the feedback received at Wikimania 2015, before, and after (T105414). If someone is interested in obtaining funds to push this task, this might be a good way.

TasneemLo added a subscriber: TasneemLo.EditedOct 6 2015, 3:40 AM

As @yuvipanda mentioned that this task would be out of scope for a mentorship program like GSoC and Outreachy, I'm removing the Possible-Tech-Projects project.

Nemo_bis added a comment.EditedOct 6 2015, 11:07 AM

Hm? It would be a legit and uncontroversial special page in Gadgets extension, for instance. Probably too small a task but otherwise fine for OPW/GSOC.

kaldari added a subscriber: kaldari.Oct 9 2015, 9:05 PM

Yeah, it seems like this would be trivial to implement as a QueryPage in the Gadgets extension. It might have to be marked as an expensive query, but should still be doable.

@Nemo_bis: Why would it be controversial?

I added two new blocking tasks: one for implementing a special page as part of the Gadgets extension to show per wiki gadget usage stats, and one for generating a database report on Meta that shows global gadget usage stats.

Sorry, I meant UNcontroversial.

Milimetric added a subscriber: Milimetric.

(let us know if you need dashboarding / reporting support, happy to help)

kaldari closed this task as "Resolved".Dec 9 2015, 8:54 PM
kaldari claimed this task.

We have per-wiki and cross-wiki Gadget usage stats now. Also, the new active user gadget stats are rolling out this week. See https://commons.wikimedia.org/wiki/Special:GadgetUsage for example.

Since there are no more open blocking tasks and all the things asked for in the original description are done, I'm going to mark this as resolved.

DannyH moved this task from Epic/Tracking to Archive on the Community-Tech board.Dec 10 2015, 12:04 AM
Meno25 removed a subscriber: Meno25.Dec 22 2015, 4:09 AM
Nemo_bis rescinded a token.Jul 16 2016, 8:00 AM
Nemo_bis awarded a token.
Danny_B moved this task from Tag to Goal on the Tracking board.Tue, Aug 16, 12:52 AM

Add Comment